	//----------TStage开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TStage 
        /// </summary>
		[Table("TStage")]
        public partial class TStage: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Year")]   
				[DataMember]  
			    public int Year  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Month")]   
				[DataMember]  
			    public int Month  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CreateUser")]   
				[DataMember]  
			    public string CreateUser  {get;set;}   
                                /// <summary>
                /// 1.已开始,进行中2.已暂停3.已结束
                /// </summary>    
				
				[Display(Name="1.已开始,进行中2.已暂停3.已结束")]   
								[Column("Status")]   
				[DataMember]  
			    public int Status  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("StartTime")]   
				[DataMember]  
			    public DateTime? StartTime  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("EndTime")]   
				[DataMember]  
			    public DateTime? EndTime  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TStage 
            /// </summary>
            public class TStageMap : EntityTypeConfiguration<TStage>
			{
                public TStageMap()
                {
					this.ToTable("TStage");
												this.HasKey(t => t.ID);
													 this.Property(t => t.Year).HasColumnName("Year").IsRequired();
													 this.Property(t => t.Month).HasColumnName("Month").IsRequired();
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime").IsRequired();
													 this.Property(t => t.CreateUser).HasColumnName("CreateUser").IsRequired();
													 this.Property(t => t.Status).HasColumnName("Status").IsRequired();
													 this.Property(t => t.StartTime).HasColumnName("StartTime");
													 this.Property(t => t.EndTime).HasColumnName("EndTime");
										}
			}**/

	}

	//----------TStage结束----------

	